/* $Id: ssh_auth.h,v 1.5 2001/02/08 02:24:58 thorpej Exp $ */

/*
 * Copyright 1999 RedBack Networks, Incorporated.
 * All rights reserved.
 *
 * This software is not in the public domain.  It is distributed 
 * under the terms of the license in the file LICENSE in the
 * same directory as this file.  If you have received a copy of this
 * software without the LICENSE file (which means that whoever gave
 * you this software violated its license) you may obtain a copy from
 * http://www.panix.com/~tls/LICENSE.txt
 */

#ifndef _SSH_AUTH_H
#define _SSH_AUTH_H

#define SSH_AUTH_RHOSTS		1
#define SSH_AUTH_RSA		2
#define SSH_AUTH_PASSWORD	3
#define SSH_AUTH_RHOSTS_RSA	4

/* Bitmask of supported authentication methods: */
void set_supported_auths(int *);
int auth_is_supported(ssh_context_t *, int);
int auths_supported(ssh_context_t *);

/* Auth number->name */
const char *auth_name(int);
/* Auth name->number */
int auth_number(char *);

#endif /* _SSH_AUTH_H */
